aboutsummaryrefslogtreecommitdiffstats
path: root/testing/influxdb/APKBUILD
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2018-01-07 16:46:35 +0100
committerCarlo Landmeter <clandmeter@alpinelinux.org>2018-04-15 08:56:48 +0000
commitc074e6e5d2c9e5d712cfbe543cf64b1b8952667f (patch)
tree69f30d0e90fe824537809bbbbbb337fbfcf757df /testing/influxdb/APKBUILD
parent2341d634ea17141fd91c914deb53fa645625776d (diff)
downloadaports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.gz
aports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.bz2
aports-c074e6e5d2c9e5d712cfbe543cf64b1b8952667f.tar.xz
testing/influxdb: upgrade to 1.5.2
* bump package version * improve APKBUILD
Diffstat (limited to 'testing/influxdb/APKBUILD')
-rw-r--r--testing/influxdb/APKBUILD72
1 files changed, 31 insertions, 41 deletions
diff --git a/testing/influxdb/APKBUILD b/testing/influxdb/APKBUILD
index 6ccee91292..30c37c9a93 100644
--- a/testing/influxdb/APKBUILD
+++ b/testing/influxdb/APKBUILD
@@ -1,74 +1,64 @@
# Contributor: Stefan Wagner <stw@bit-strickerei.de>
# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
pkgname=influxdb
-pkgver=1.3.6
+pkgver=1.5.2
pkgrel=0
pkgdesc="Scalable datastore for metrics, events, and real-time analytics"
url="https://www.influxdata.com/time-series-platform/influxdb/"
arch="all !aarch64"
license="MIT"
-makedepends="go glide python2 asciidoc xmlto"
+makedepends="go go-gdm python2 asciidoc xmlto"
pkgusers="influxdb"
pkggroups="influxdb"
install="$pkgname.pre-install"
+options="!check" # has not tests
subpackages="$pkgname-doc"
-source="influxdb.initd
+source="$pkgname-$pkgver.tar.gz::https://github.com/influxdata/$pkgname/archive/v$pkgver.tar.gz
+ influxdb.initd
influxdb.logrotate
- glide.yaml
- glide.lock
"
builddir="$srcdir/src/github.com/influxdata/$pkgname"
-_git_repo="https://github.com/influxdata/influxdb.git"
-unpack() {
+prepare() {
+ mkdir -p ${builddir%/*}
+ mv "$srcdir"/$pkgname-$pkgver "$builddir"/ || return 1
export GOPATH="$srcdir"
- git clone --branch v${pkgver} $_git_repo $builddir || return 1
cd "$builddir"
- cp "$srcdir"/glide.yaml "$srcdir"/glide.lock . || return 1
- glide install --skip-test || return 1
- default_unpack || return 1
+ gdm restore
+ default_prepare
}
build() {
export GOPATH="$srcdir"
cd "$builddir"
- python2 build.py --no-get || return 1
+ local path
+ for path in $(find ./cmd/* -maxdepth 0 -type d); do
+ go build -v -work -x -ldflags="-X main.version=$pkgver" \
+ -o ./bin/${path##*/} $path
+ done
make -C man
}
package() {
cd "$builddir"
+ local path bindir
+ for path in $(find ./cmd/* -maxdepth 0 -type d); do
+ case "${path##*/}" in
+ influxd) bindir=sbin ;;
+ *) bindir=bin ;;
+ esac
+ install -Dm755 ./bin/"${path##*/}" "$pkgdir"/usr/$bindir/"${path##*/}"
+ done
- install -Dm755 "build/influxd" "$pkgdir/usr/sbin/influxd" || return 1
- install -Dm755 "build/influx" "$pkgdir/usr/bin/influx" || return 1
- install -Dm755 "build/influx_tsm" "$pkgdir/usr/bin/influx_tsm" || return 1
- install -Dm755 "build/influx_inspect" \
- "$pkgdir/usr/bin/influx_inspect" || return 1
+ install -d "$pkgdir/usr/share/man/man1/"
+ install -Dm644 man/*.1 "$pkgdir/usr/share/man/man1/"
- install -d "$pkgdir/usr/share/man/man1/" || return 1
- install -Dm644 man/*.1 "$pkgdir/usr/share/man/man1/" || return 1
+ install -Dm644 "etc/config.sample.toml" "$pkgdir/etc/influxdb/influxdb.conf"
- install -Dm644 "etc/config.sample.toml" \
- "$pkgdir/etc/influxdb/influxdb.conf" || return 1
-
- install -Dm755 "$srcdir/$pkgname.initd" \
- "$pkgdir/etc/init.d/$pkgname" || return 1
- install -Dm644 "$srcdir/$pkgname.logrotate" \
- "$pkgdir/etc/logrotate.d/$pkgname" || return 1
-}
-
-glide_init() {
- abuild deps clean
- export GOPATH="$srcdir"
- git clone --branch v${pkgver} $_git_repo $builddir || return 1
- cd "$builddir"
- glide init --non-interactive || return 1
- glide up --skip-test || return 1
- cp glide.yaml glide.lock "$startdir"
- cd $startdir && abuild checksum undeps
+ install -Dm755 "$srcdir/$pkgname.initd" "$pkgdir/etc/init.d/$pkgname"
+ install -Dm644 "$srcdir/$pkgname.logrotate" "$pkgdir/etc/logrotate.d/$pkgname"
}
-sha512sums="55d5776fde330001f254fed4b01163d576d1995c23b08ef64c3c33b7a53fa49c71092867a17149d3148af7a8e17dc4779481afe9dd54a86eeee16168dbb964e0 influxdb.initd
-5d754e3aeec912bae8f5bf2f84153d4ccc82918d9c728631e8b9ad6737fab3352af0ab63f46ac80aab6384d779bae5d321da0465f26fd8798a9694f7d79f879d influxdb.logrotate
-027df7af2eb976cf59ea55502689b750e2aff754557af8348f694adf8d6ce5de6fdcc8b9ceb8ce37cd5c8368c02499c7c08af9481bc995fb83278e1ed1dedbc1 glide.yaml
-a0be741d3e9cff38b415643454195b4eeba94b0a01ddc7a26dd839d12d03eae5ff7ee334d1d6ad9147632eb7db32c9dc0de0ba9e42d53f002bedfd67f5f91d0c glide.lock"
+sha512sums="4f31284824ca54c0af91c032c5873a8d459680ac8d073ef84c1be1d7dfd0a4a30121308e6428b1d6508ea78ef105ea5ea08013ad5180291027d9dc842ff6165c influxdb-1.5.2.tar.gz
+55d5776fde330001f254fed4b01163d576d1995c23b08ef64c3c33b7a53fa49c71092867a17149d3148af7a8e17dc4779481afe9dd54a86eeee16168dbb964e0 influxdb.initd
+5d754e3aeec912bae8f5bf2f84153d4ccc82918d9c728631e8b9ad6737fab3352af0ab63f46ac80aab6384d779bae5d321da0465f26fd8798a9694f7d79f879d influxdb.logrotate"